import axios from "../../utils/axios";

export function getLocalBusType(query) {
    return axios({
        url: "/udiwms/localBusType/filter",
        method: "get",
        params: query
    });
}

export function getLocalJoinBusType(query) {
    return axios({
        url: "/udiwms/localBusType/filterJoin",
        method: "get",
        params: query
    });
}


export function getLocalJoinByUser(query) {
    return axios({
        url: "/udiwms/localBusType/filterJoinByUser",
        method: "get",
        params: query
    });
}

export function getLocalJoinNoUse(query) {
    return axios({
        url: "/udiwms/localBusType/filterUnUse",
        method: "get",
        params: query
    });
}




export function filterByBus(query) {
    return axios({
        url: "/udiwms/localBusType/filterByBus",
        method: "get",
        params: query
    });
}


export function addLocalBusType(query) {
    return axios({
        url: "/udiwms/localBusType/add",
        method: "post",
        data: query
    });
}


export function deleteLocalBusType(query) {
    return axios({
        url: "/udiwms/localBusType/delete",
        method: "post",
        data: query
    });
}

export function updateLocalBusType(query) {
    return axios({
        url: "/udiwms/localBusType/update",
        method: "post",
        data: query
    });
}

